Subject: Reminder: [Simple] WGLC : draft-ietf-simple-xcap-09.txt

From: Robert Sparks <[email-masked]>
Date: Thu, 6 Apr 2006 22:13:51 -0500

If you haven't sent comments, please do so now.

RjS

On Mar 27, 2006, at 1:32 PM, Robert Sparks wrote:

> This is a SIMPLE working group Last Call for Comments on draft-ietf- 
> simple-xcap-09.
>
> This last call ends in two weeks - April 10, 2006
>
> The previous version of this draft was approved for publication,  
> but was removed
> from the RFC editor's queue to address a technical issue with  
> conditional inserts.
> The group also agreed to incorporate several clarifying text  
> changes while the document
> was open.
>
> Please review the changes carefully and send feedback to the SIMPLE  
> list, copying
> Jonathan.
>
> RjS
>
> On Mar 23, 2006, at 5:50 PM, [email-masked] wrote:
>
>> A New Internet-Draft is available from the on-line Internet-Drafts  
>> directories.
>> This draft is a work item of the SIP for Instant Messaging and  
>> Presence Leveraging Extensions Working Group of the IETF.
>>
>> 	Title		: The Extensible Markup Language (XML) Configuration  
>> Access Protocol (XCAP)
>> 	Author(s)	: J. Rosenberg
>> 	Filename	: draft-ietf-simple-xcap-09.txt
>> 	Pages		: 68
>> 	Date		: 2006-3-23
>> 	
>> This specification defines the Extensible Markup Language (XML)
>> Configuration Access Protocol (XCAP).  XCAP allows a client to read,
>> write and modify application configuration data, stored in XML format
>> on a server.  XCAP maps XML document sub-trees and element attributes
>> to HTTP URIs, so that these components can be directly accessed by
>> HTTP.
>>
>> A URL for this Internet-Draft is:
>> http://www.ietf.org/internet-drafts/draft-ietf-simple-xcap-09.txt
>>
>> To remove yourself from the I-D Announcement list, send a message to
>> [email-masked] with the word unsubscribe in the  
>> body of the message.
>> You can also visit https://www1.ietf.org/mailman/listinfo/I-D- 
>> announce
>> to change your subscription settings.
>>
>>
>> Internet-Drafts are also available by anonymous FTP. Login with  
>> the username
>> "anonymous" and a password of your e-mail address. After logging in,
>> type "cd internet-drafts" and then
>> 	"get draft-ietf-simple-xcap-09.txt".
>>
>> A list of Internet-Drafts directories can be found in
>> http://www.ietf.org/shadow.html
>> or ftp://ftp.ietf.org/ietf/1shadow-sites.txt
>>
>>
>> Internet-Drafts can also be obtained by e-mail.
>>
>> Send a message to:
>> 	[email-masked].
>> In the body type:
>> 	"FILE /internet-drafts/draft-ietf-simple-xcap-09.txt".
>> 	
>> NOTE:	The mail server at ietf.org can return the document in
>> 	MIME-encoded form by using the "mpack" utility.  To use this
>> 	feature, insert the command "ENCODING mime" before the "FILE"
>> 	command.  To decode the response(s), you will need "munpack" or
>> 	a MIME-compliant mail reader.  Different MIME-compliant mail readers
>> 	exhibit different behavior, especially when dealing with
>> 	"multipart" MIME messages (i.e. documents which have been split
>> 	up into multiple messages), so check your local documentation on
>> 	how to manipulate these messages.
>> 		
>> 		
>> Below is the data which will enable a MIME compliant mail reader
>> implementation to automatically retrieve the ASCII version of the
>> Internet-Draft.
>> Content-Type: text/plain
>> Content-ID: <[email-masked]>
>>
>> _______________________________________________
>> Simple mailing list
>> [email-masked]
>> https://www1.ietf.org/mailman/listinfo/simple
>
>
> _______________________________________________
> Simple mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/simple

_______________________________________________
Simple mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/simple

---

From: Josh Littlefield <[email-masked]>
Date: Fri, 07 Apr 2006 13:58:00 -0400

I have read the draft and think it's fine, with the following note:  I 
agree with the previously noted concerns except for the concern about 
dots in the custom AUID names, which I really don't see as a problem.

-josh

Robert Sparks wrote:
>> This is a SIMPLE working group Last Call for Comments on 
>> draft-ietf-simple-xcap-09.
>>
>> The previous version of this draft was approved for publication, but 
>> was removed
>> The group also agreed to incorporate several clarifying text changes 
>> while the document
>> was open.
>>
>>> [email-masked] with the word unsubscribe in the body 
>>> of the message.
>>> You can also visit https://www1.ietf.org/mailman/listinfo/I-D-announce
>>> Internet-Drafts are also available by anonymous FTP. Login with the 
>>> username

-- 
=====================================================================
Josh Littlefield                                  Cisco Systems, Inc.
[email-masked]                             1414 Massachusetts Avenue
tel: 978-936-1379  fax: 978-936-2226       Boxborough, MA  01719-2205

---

From: "Jeroen van Bemmel" <[email-masked]>
Date: Fri, 7 Apr 2006 23:30:20 +0200

Josh,

The concern was about dots in global AUIDs. When dots are allowed, there is 
no syntactical distinction between "global" AUIDs and "vendor-specific" 
AUIDs, since e.g. "com.example.foo" would also be a valid global AUID

If the distinction is not important, then the ABNF should be changed into:
AUID = 1*pchar

If on the other hand you want to be able to extract the reverse domain part 
from a vendor-specific AUID, then the syntax should also be changed to be 
able to detect where the reverse domain part ends and the AUID begins

Regards,

jeroen

----- Original Message ----- 
From: "Josh Littlefield" <[email-masked]>
To: "Robert Sparks" <[email-masked]>
Cc: <[email-masked]>
Sent: Friday, April 07, 2006 7:58 PM
Subject: Re: Reminder: [Simple] WGLC : draft-ietf-simple-xcap-09.txt

>agree with the previously noted concerns except for the concern about dots 
>in the custom AUID names, which I really don't see as a problem.
>
> -josh
>
> Robert Sparks wrote:
>>> The previous version of this draft was approved for publication, but was 
>>> removed
>>>> This draft is a work item of the SIP for Instant Messaging and Presence 
>>>> Leveraging Extensions Working Group of the IETF.
>>>>
>>>> [email-masked] with the word unsubscribe in the body of 
>>>> the message.

---

From: Josh Littlefield <[email-masked]>
Date: Fri, 07 Apr 2006 18:23:15 -0400

Jeroen van Bemmel wrote:
> Josh,
> 
> The concern was about dots in global AUIDs. When dots are allowed, there 
> is no syntactical distinction between "global" AUIDs and 
> "vendor-specific" AUIDs, since e.g. "com.example.foo" would also be a 
> valid global AUID

OK, sorry.  I was thinking of the part of a vendor AUID to the right of 
the reverse domain name, not of the global AUID.

> If on the other hand you want to be able to extract the reverse domain 
> part from a vendor-specific AUID, then the syntax should also be changed 
> to be able to detect where the reverse domain part ends and the AUID begins

I didn't see the need to extract the reverse domain part from a 
vendor-specific AUID, since it seemed to me the point was AUID 
uniqueness, not AUID parsing.

Still, if you think it possible that someone will assign a global AUID 
that would potentially conflict with some vendor's local AUID space, 
then having dots in global AUIDs is a potential problem.

Regards,
-josh

> Regards,
> 
> jeroen
> 
> ----- Original Message ----- From: "Josh Littlefield" <[email-masked]>
>>>>>     Title        : The Extensible Markup Language (XML) 
>>>>> Configuration Access Protocol (XCAP)
>>>>>     Author(s)    : J. Rosenberg